
local World = require('world')
local Entity = require('entity')
local Player = require('entity.player')


local JamWorld = World:new()


function JamWorld:loadTile(tile, char, mapping)
  if char == '#' then
    tile.collidable = true
  end

  if char == 'P' then
    self:addEntity(Player:new({
      x = tile.x * self.tileSize,
      y = tile.y * self.tileSize,
      camera = self.camera
    }))
  end

  return tile
end


return JamWorld
